servant-server-0.20: A family of combinators for defining webservices APIs and serving them

Safe Haskell | Safe-Inferred
Language | Haskell2010

Servant.Server.Internal.RoutingApplication

# Documentation

type RoutingApplication #

Arguments

= Request | the request, the field `pathInfo` may be modified by url routing
-> (RouteResult Response -> IO ResponseReceived) |
-> IO ResponseReceived |

toApplication :: RoutingApplication -> Application #